Bug 1574386 - [abrt] python2-pylint: resolve(): __init__.py:778:resolve:DistributionNotFound: The 'futures' distribution was not found and is required by isort
Summary: [abrt] python2-pylint: resolve(): __init__.py:778:resolve:DistributionNotFoun...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-isort
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e9f43a4969fed62bba955820d25...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 07:47 UTC by Robin Lee
Modified: 2018-06-05 13:44 UTC (History)
5 users (show)

Fixed In Version: python-isort-4.3.4-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-05 13:44:08 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (3.83 KB, text/plain)
2018-05-03 07:47 UTC, Robin Lee
no flags Details
File: cgroup (341 bytes, text/plain)
2018-05-03 07:47 UTC, Robin Lee
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-05-03 07:47 UTC, Robin Lee
no flags Details
File: environ (2.43 KB, text/plain)
2018-05-03 07:47 UTC, Robin Lee
no flags Details
File: mountinfo (4.27 KB, text/plain)
2018-05-03 07:47 UTC, Robin Lee
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-03 07:47 UTC, Robin Lee
no flags Details
File: open_fds (4.23 KB, text/plain)
2018-05-03 07:48 UTC, Robin Lee
no flags Details

Description Robin Lee 2018-05-03 07:47:13 UTC
Description of problem:
Triggered by vscode python extension

Version-Release number of selected component:
python2-pylint-1.7.5-1.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python2 /usr/bin/pylint-2 --disable=all --enable=F,unreachable,duplicate-key,unnecessary-semicolon,global-variable-not-assigned,unused-variable,unused-wildcard-import,binary-op-exception,bad-format-string,anomalous-backslash-in-string,bad-open-mode,E0001,E0011,E0012,E0100,E0101,E0102,E0103,E0104,E0105,E0107,E0108,E0110,E0111,E0112,E0113,E0114,E0115,E0116,E0117,E0118,E0202,E0203,E0211,E0213,E0236,E0237,E0238,E0239,E0240,E0241,E0301,E0302,E0303,E0401,E0402,E0601,E0602,E0603,E0604,E0611,E0632,E0633,E0701,E0702,E0703,E0704,E0710,E0711,E0712,E1003,E1101,E1102,E1111,E1120,E1121,E1123,E1124,E1125,E1126,E1127,E1128,E1129,E1130,E1131,E1132,E1133,E1134,E1135,E1136,E1137,E1138,E1139,E1200,E1201,E1205,E1206,E1300,E1301,E1302,E1303,E1304,E1305,E1306,E1310,E1700,E1701 '--msg-template=\'{line},{column},{category},{msg_id}:{msg}\'' --reports=n --output-format=text /home/varhtml/WinServer_Pro/src/sm/drivers/cleanup.py
crash_function: resolve
exception_type: DistributionNotFound
executable:     /usr/bin/pylint-2
interpreter:    python2-2.7.14-15.fc28.x86_64
kernel:         4.16.4-300.fc28.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:778:resolve:DistributionNotFound: The 'futures' distribution was not found and is required by isort

Traceback (most recent call last):
  File "/usr/bin/pylint-2", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3088, in <module>
    @_call_aside
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3072, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3101, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 574, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 892, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 778, in resolve
    raise DistributionNotFound(req, requirers)
DistributionNotFound: The 'futures' distribution was not found and is required by isort

Local variables in innermost frame:
replace_conflicting: False
dist: None
requirers: set(['isort'])
to_activate: [pylint 1.7.5 (/usr/lib/python2.7/site-packages), singledispatch 3.4.0.3 (/usr/lib/python2.7/site-packages), backports.functools-lru-cache 1.5 (/usr/lib/python2.7/site-packages), configparser 3.5.0b2 (/usr/lib/python2.7/site-packages), mccabe 0.6.1 (/usr/lib/python2.7/site-packages), isort 4.3.4 (/usr/lib/python2.7/site-packages), six 1.11.0 (/usr/lib/python2.7/site-packages), astroid 1.5.2 (/usr/lib/python2.7/site-packages)]
req: Requirement.parse('futures')
requirements: [Requirement.parse('futures'), Requirement.parse('backports.functools_lru_cache'), Requirement.parse('singledispatch'), Requirement.parse('enum34'), Requirement.parse('wrapt'), Requirement.parse('six'), Requirement.parse('lazy_object_proxy')]
new_requirements: [Requirement.parse('backports.functools_lru_cache'), Requirement.parse('singledispatch'), Requirement.parse('enum34'), Requirement.parse('wrapt'), Requirement.parse('six'), Requirement.parse('lazy_object_proxy')]
req_extras: {Requirement.parse('lazy_object_proxy'): (), Requirement.parse('isort>=4.2.5'): (), Requirement.parse('six'): (), Requirement.parse('enum34'): (), Requirement.parse('mccabe'): (), Requirement.parse('backports.functools_lru_cache'): (), Requirement.parse('singledispatch'): (), Requirement.parse('configparser'): (), Requirement.parse('astroid>=1.5.1'): (), Requirement.parse('wrapt'): (), Requirement.parse('futures'): ()}
required_by: defaultdict(<type 'set'>, {Requirement.parse('lazy_object_proxy'): set(['astroid']), Requirement.parse('isort>=4.2.5'): set(['pylint']), Requirement.parse('six'): set(['singledispatch', 'pylint', 'astroid']), Requirement.parse('enum34'): set(['astroid']), Requirement.parse('mccabe'): set(['pylint']), Requirement.parse('backports.functools_lru_cache'): set(['astroid', 'pylint']), Requirement.parse('singledispatch'): set(['astroid', 'pylint']), Requirement.parse('configparser'): set(['pylint']), Requirement.parse('astroid>=1.5.1'): set(['pylint']), Requirement.parse('wrapt'): set(['astroid']), Requirement.parse('futures'): set(['isort'])})
extras: None
ws: <pkg_resources.WorkingSet object at 0x7f5efffc3ed0>
new_requirement: Requirement.parse('lazy_object_proxy')
env: <pkg_resources.Environment object at 0x7f5f00118b10>
installer: None
self: <pkg_resources.WorkingSet object at 0x7f5efffc3ed0>
best: {'futures': None}
processed: {Requirement.parse('pylint==1.7.5'): True, Requirement.parse('isort>=4.2.5'): True, Requirement.parse('six'): True, Requirement.parse('mccabe'): True, Requirement.parse('backports.functools_lru_cache'): True, Requirement.parse('singledispatch'): True, Requirement.parse('configparser'): True, Requirement.parse('astroid>=1.5.1'): True}

Comment 1 Robin Lee 2018-05-03 07:47:51 UTC
Created attachment 1430545 [details]
File: backtrace

Comment 2 Robin Lee 2018-05-03 07:47:52 UTC
Created attachment 1430546 [details]
File: cgroup

Comment 3 Robin Lee 2018-05-03 07:47:53 UTC
Created attachment 1430547 [details]
File: cpuinfo

Comment 4 Robin Lee 2018-05-03 07:47:55 UTC
Created attachment 1430548 [details]
File: environ

Comment 5 Robin Lee 2018-05-03 07:47:57 UTC
Created attachment 1430549 [details]
File: mountinfo

Comment 6 Robin Lee 2018-05-03 07:47:58 UTC
Created attachment 1430550 [details]
File: namespaces

Comment 7 Robin Lee 2018-05-03 07:48:00 UTC
Created attachment 1430551 [details]
File: open_fds

Comment 8 Dov Grobgeld 2018-05-17 07:36:06 UTC
Fixed by `dnf -y install python2-futures`.

Comment 9 Pavel Roskin 2018-05-22 05:27:04 UTC
I'm also affected (Fedora 28, up-to-date with updates-testing). I confirm that installing python2-futures resolves the issue. I tried rebuilding python2-pylint from source rpm, the resulting noarch rpm doesn't depend on python2-futures directly or indirectly. I assume the dependency needs to be added manually to the specfile.

Comment 10 Fedora Update System 2018-06-01 16:13:27 UTC
python-isort-4.3.4-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-809754f12f

Comment 11 Fedora Update System 2018-06-02 22:33:34 UTC
python-isort-4.3.4-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-809754f12f

Comment 12 Fedora Update System 2018-06-05 13:44:08 UTC
python-isort-4.3.4-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.